Subject: Re: bug#25203: 25.1; crash during message, infinite recursion

From: Werner LEMBERG <[email-masked]>
Date: Fri, 16 Dec 2016 10:08:55 +0100 (CET)

>> > In fact, any I/O that might require encoding should be completely
>> > avoided in pre-write-conversion.
>> 
>> Is this documented?  If yes, I've missed it.
> 
> Frankly, it should be obvious: you are recursively invoking the same
> operation that is being processed by the calling function.

Well, `cjk-coding' worked flawlessly for years.  So it's not *that*
obvious.  In other words, there are rather recent changes w.r.t. to
`message' that make the once working code crash.

> I added a note about this to the doc string of define-coding-system.

Thanks.

> Any reasons not to close this bug report, now that all of its
> aspects have been addressed?

Yes, please do.

    Werner